using System;
using System.Collections.Generic;
using MsBox.Avalonia;
using ReactiveUI;

namespace shkola.ViewModels
{
    public class kalkViewModel : ViewModelBase
    {
        private int _func = 0;

        public int Func
        {
            get { return _func; }
            set
            {
                this.RaiseAndSetIfChanged(ref _func, value);
                Symb = symbs[value];
            }
        }

        private string _firstArg;

        public string FirstArg
        {
            get { return _firstArg; }
            set => this.RaiseAndSetIfChanged(ref _firstArg, value);
        }

        private string _secondArg;

        public string SecondArg
        {
            get { return _secondArg; }
            set => this.RaiseAndSetIfChanged(ref _secondArg, value);
        }

        private string _symb = "+";

        public string Symb
        {
            get { return _symb; }
            set => this.RaiseAndSetIfChanged(ref _symb, value);
        }

        private string _result;

        public string Result
        {
            get { return _result; }
            set => this.RaiseAndSetIfChanged(ref _result, value);
        }

        List<string> symbs = new List<string>() { "+", "-", "*", "/" };

        public void ResultCalc()
        {
            try
            {
                switch (Func)
                {
                    case 0:
                        Result = Convert.ToString(Convert.ToDouble(FirstArg) + Convert.ToDouble(SecondArg));
                        break;
                    case 1:
                        Result = Convert.ToString(Convert.ToDouble(FirstArg) - Convert.ToDouble(SecondArg));
                        break;
                    case 2:
                        Result = Convert.ToString(Convert.ToDouble(FirstArg) * Convert.ToDouble(SecondArg));
                        break;
                    case 3:
                        Result = Convert.ToString(Convert.ToDouble(FirstArg) / Convert.ToDouble(SecondArg));
                        break;
                    default:
                        break;
                }
            }
            catch
            {
                var box = MessageBoxManager.GetMessageBoxStandard("-   ", "   -     ");
                box.ShowAsync();
            }

        }
    }
}